# Miscellaneous
*.class
*.log
*.pyc
*.swp
.DS_Store
.atom/
.buildlog/
.history
.svn/

# IntelliJ related
*.iml
*.ipr
*.iws
.idea/

# The .vscode folder contains launch configuration and tasks you configure in
# VS Code which you may wish to be included in version control, so this line
# is commented out by default.
#.vscode/

# Flutter/Dart/Pub related
**/doc/api/
**/ios/Flutter/.last_build_id
.dart_tool/
.flutter-plugins-dependencies
.flutter-plugins
.packages
.pub-cache/
.pub/
/build/

# Web related
.web/

# Symbolication related
app.*.symbols

# Obfuscation related
app.*.map.json

# Android Studio will place build artifacts here
/android/app/debug
/android/app/profile
/android/app/release

# Android signing keys and properties
*.keystore
*.jks
key.properties

# iOS related
**/ios/Flutter/Generated.xcconfig
**/ios/Flutter/flutter_export_environment.sh
**/ios/Flutter/App.framework
**/ios/Flutter/Flutter.framework
**/ios/Flutter/Flutter.podspec
**/ios/Runner/GeneratedPluginRegistrant.[mh]
**/ios/Runner/GeneratedPluginRegistrant.swift
**/ios/Runner/sdk_info.json
**/ios/Runner/Assets.xcassets/AppIcon.appiconset/
**/ios/.symlinks/
**/ios/Pods/
**/ios/Podfile.lock

# macOS related
**/macos/Flutter/ephemeral/
**/macos/Flutter/GeneratedPluginRegistrant.swift
**/macos/Flutter/flutter_export_environment.sh
**/macos/Runner/GeneratedPluginRegistrant.swift
**/macos/Runner/sdk_info.json
**/macos/.symlinks/
**/macos/Pods/
**/macos/Podfile.lock

# Windows related
**/windows/flutter/ephemeral/
**/windows/flutter/GeneratedPluginRegistrant.cc
**/windows/flutter/generated_plugin_registrant.h
**/windows/flutter/generated_plugins.cmake

# Linux related
**/linux/flutter/ephemeral/
**/linux/flutter/generated_plugin_registrant.cc
**/linux/flutter/generated_plugin_registrant.h
**/linux/flutter/generated_plugins.cmake

# Environment variables & secrets
.env
.env.*
lib/core/env.dart

